Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.util
Class ExtentKit

    java.lang.Object
      echopointng.util.ExtentKit

    public class ExtentKit

extends java.lang.Object

`ExtentKit` is a utility class to help with Extent manipulation

Constructor Summary
`ExtentKit()`

Method Summary
`static boolean` | `isExtent(java.lang.String extentString)` Returns true if the string is in an extent in the form : `[integer][unit]` where unit is one of `[px | % | pt | cm | mm | in | em | ex | pc]` and no spaces are allowed betwwen the integer value and the unit.
`static Extent` | `makeExtent(java.lang.String extentString)` Returns an new Extent object that represents the given Extent string in the form : `[integer][unit]` where unit is one of `[px | % | pt | cm | mm | in | em | ex | pc]` and no spaces are allowed betwwen the integer value and the unit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtentKit

    public ExtentKit()

Method Detail

### makeExtent

    public static Extent makeExtent(java.lang.String extentString)

  Returns an new Extent object that represents the given Extent string in the form : `[integer][unit]` where unit is one of `[px | % | pt | cm | mm | in | em | ex | pc]` and no spaces are allowed betwwen the integer value and the unit. For example '5em', '12pt', '50%' or '22cm'.

  Parameters:
    `extentString` - - a valid extent string
  Returns:
    a new Extent
  See Also:
    `isExtent(String)`

### isExtent

    public static boolean isExtent(java.lang.String extentString)

  Returns true if the string is in an extent in the form : `[integer][unit]` where unit is one of `[px | % | pt | cm | mm | in | em | ex | pc]` and no spaces are allowed betwwen the integer value and the unit. For example '5em', '12pt', '50%' or '22cm'.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD